PON(1)

NAME
pon, poff, plog - Startet, beendet oder listet PPP Verbindungen

Diese Handbuchseite ist eventuell veraltet. Im Zweifelsfall ziehen Sie die englischsprachige Handbuchseite zu Rate, indem Sie

    man -LC 1 pon

eingeben.

SYNOPSIS
pon [ isp-name ]
poff [ -r ] [ -d ] [ -c ] [ -h ] [ isp-name ]
plog [ argument ]

DESCRIPTION
Diese Anleitung beschreibt die pon, poff und plog Skripts, die dem Benutzer die Möglichkeit geben PPP Verbindung zu kontrollieren. Pon startet eine PPP Verbindung zu einem Provider, die auf die Konfiguration von /etc/ppp/peers/provider basiert und das Chatskript /etc/chatscripts/provider verwendet. Das sind die Voreinstellung, falls isp-name nicht angegeben ist.

Um eine PPP Verbindung zu einem anderen Internetprovider aufzubauen, gibt man das Argument isp-name an. Zum Beispiel, um sich zum Provider mit dem Namen "isp2" einzuwählen ruft man pon so auf

    pon isp2

Dann wird das Chatskript /etc/chatscripts/isp2 verwendet und die Optionen von der Datei /etc/ppp/peers/isp2. Man kann auch pon für mehrere PPP Verbindungen verwenden.

poff schließt eine PPP Verbindung. Wenn mehr als eine PPP Verbindung existiert, dann wird jene geschlossen, die poff als Argument übergeben wird. Zum Beispiel

    poff isp2

schließt die Verbindung zum Provider isp2 und lässt die Verbindung zu isp1 noch immer offen.

plog zeigt die letzten paar Zeilen von /var/log/ppp.log. Dieses Skript verwendet dazu das Programm tail(1). Daher können Optionen, die tail(1) verwendet werden, auch bei plog angegeben werden.

OPTIONS

  Optionen für pon

isp-name
    ist der Name des Providers, dessen Verbindung gestartet werden soll. Wenn kein isp-name angegeben wird, dann verwendet pon den Namen "provider".

  Optionen für poff

-r  veranlaßt die Verbindung wieder aufzubauen, wenn sie vorzeitig beendet wurde.

-d  schaltet debug Informationen ein oder aus.

-c  veranlaßt pppd(8) die Kompression neu zu verhandeln.

-h  zeigt Hilfe-Informationen an (aber in Englisch).

  Optionen für plog

argument
    Optionen, die tail(1) hat, können hier als Argument verwendet werden.

VORAUSSETZUNGEN
pppd(8) muss installiert und konfiguriert sein.

/etc/chatscripts/provider ist das Standard-Chatskipt. Es wird verwendet, wenn pon ohne Argumente ausgeführt wird. Man muss es seinen Bedürfnissen entsprechend anpassen. Siehe auch chat(8).

/etc/ppp/peers/provider ist die Standard Optionendatei. Sie wird verwendet, wenn pon ohne Argumente aufgerufen wird. Man muss es seinen Bedürfnissen entsprechend anpassen. Siehe auch pppd(8).

Wenn pon mit dem Argument isp-name aufgerufen wird, werden verschiedene Dateien verwendet. Wenn zum Beispiel

    pon isp2

angegeben ist, so wird das Chatskript /etc/chatscripts/isp2 und die Optionendatei /etc/ppp/peers/isp2 verwendet.

NOTIZ
Das plog Skript kann aus Sicherheitsgründen nur vom Benutzer "root" oder einem anderen Systemadministrator in der Gruppe "adm" verwendet werden.

DATEIEN
/etc/chatscripts/provider
/etc/ppp/peers/provider
/etc/ppp/chap-secrets
/etc/ppp/pap-secrets
/etc/ppp/options
/var/log/ppp.log

AUTOR
Die p-Kommandos wurden von Christoph Lameter <clameter@debian.org> geschrieben. Erweitert und korrigiert von Philip Hands <phil@hands.com>.
Diese Anleitung wurde von Othmar Pasteka <othmar@tron.at> geschrieben. Dank an John Hasler <jhasler@debian.org>, von dem ich ein paar Dinge aus seiner alten (englischen) Anleitung übernommen habe.

WARNUNG
Diese Skripte sind eventuell nur auf aktuellen Debian GNU-System zu finden.

SIEHE AUCH
chat(8), pppd(8), tail(1).